"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reportErrorIfAllowed = exports.IS_REPORTING_ERROR_ALLOWED = exports.EXECUTE_REPORT_ERROR = void 0;
const global_var_1 = require("./global-var");
exports.EXECUTE_REPORT_ERROR = (0, global_var_1.declareGlobalVar)(() => {
});
exports.IS_REPORTING_ERROR_ALLOWED = (0, global_var_1.declareGlobalVar)(false);
const reportErrorIfAllowed = (error) => {
    if (exports.IS_REPORTING_ERROR_ALLOWED.value) {
        exports.EXECUTE_REPORT_ERROR.value(error);
    }
};
exports.reportErrorIfAllowed = reportErrorIfAllowed;
//# sourceMappingURL=report-error.js.map